summaryrefslogtreecommitdiffstats
path: root/desktop/ratpoison/ratpoison.SlackBuild
diff options
context:
space:
mode:
author Grigorios Bouzakis <grbzks@xsmail.com>2010-05-13 00:23:07 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:23:07 +0200
commit555bf07141de318f9cafb2baf0e2f0688b259f45 (patch)
tree7c873708eb0a3e773e5201db78503da210a1f2f8 /desktop/ratpoison/ratpoison.SlackBuild
parent5898152d34b7b0840b8939a05562159cc3483f8b (diff)
downloadslackbuilds-555bf07141de318f9cafb2baf0e2f0688b259f45.tar.gz
slackbuilds-555bf07141de318f9cafb2baf0e2f0688b259f45.tar.xz
desktop/ratpoison: Updated for version 1.4.5
Diffstat (limited to 'desktop/ratpoison/ratpoison.SlackBuild')
-rw-r--r--desktop/ratpoison/ratpoison.SlackBuild40
1 files changed, 23 insertions, 17 deletions
diff --git a/desktop/ratpoison/ratpoison.SlackBuild b/desktop/ratpoison/ratpoison.SlackBuild
index 44a97c4e69..91496fd55c 100644
--- a/desktop/ratpoison/ratpoison.SlackBuild
+++ b/desktop/ratpoison/ratpoison.SlackBuild
@@ -1,11 +1,10 @@
#!/bin/sh
# Slackware build script for ratpoison
-
-# Written by Grigorios Bouzakis (grbzks@gmail.com)
+# Written by Grigorios Bouzakis (grbzks@xsmail.com)
PRGNAM=ratpoison
-VERSION=${VERSION:-1.4.3}
+VERSION=${VERSION:-1.4.5}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -17,14 +16,15 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRDSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRDSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRDSUFFIX="64"
fi
-DOCS="AUTHORS COPYING ChangeLog INSTALL NEWS README TODO"
-
set -e
rm -rf $PKG
@@ -40,6 +40,8 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# Fix the docdir declaration
+patch -p1 < $CWD/ratpoison-1.4.5-fixup_docdir.diff
# Set the terminal emulator to be used as default by ratpoison
# The default is xterm if it's not specified in ./configure, so
@@ -51,17 +53,26 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
- --with-xterm=$XTERM
+ --infodir=/usr/info \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --with-xterm=$XTERM \
+ --build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
+mkdir -p $PKG/etc/X11/xinit
+install -m 0755 $CWD/xinitrc.ratpoison $PKG/etc/X11/xinit/xinitrc.ratpoison
+
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
( cd $PKG/usr/man
@@ -69,21 +80,16 @@ make install DESTDIR=$PKG
for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
)
-mv $PKG/usr/share/info $PKG/usr/
rm -f $PKG/usr/info/dir
gzip -9 $PKG/usr/info/*.info*
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-mv $PKG/usr/share/doc/ratpoison/* $PKG/usr/doc/$PRGNAM-$VERSION
-rm -rf $PKG/usr/share/doc
-cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+# Add some missed docs
+cp -a INSTALL TODO $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
-
-mkdir -p $PKG/etc/X11/xinit
-install -m 0755 $CWD/xinitrc.ratpoison $PKG/etc/X11/xinit/xinitrc.ratpoison
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}